function init(hero) {
    hero.setName("Venom");
    hero.setTier(3);
    
    hero.setHelmet("Head");
    hero.setChestplate("Torso");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");
    
    hero.addAbilities("fiskheroes:size_manipulation", "fiskheroes:leaping");
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
	hero.addAttribute("ATTACK_DAMAGE", 0.7, 1);
    hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("SWORD_DAMAGE", -0.5, 1);
	hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("SHRINK", "key.shrink", 1);
    hero.addKeyBind("GROW", "key.grow", 2);
	
    hero.supplyFunction("getMinSize", 1.0);
    hero.supplyFunction("getMaxSize", 1.5);
    hero.supplyFunction("isInstant", false);
	
	hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    default:
        return false;
    }
}